%% LINEARNI REGRESE PRUBEHU POKLESU
figure(2)
% cela obrazovka
    set(gcf, 'Units', 'Normalized', 'OuterPosition', [0 0 1 1]);
fs=48000;
T=0.8
t=0:1/fs:T-1/fs;
x=t;
fontSize = 10;
tloustka=0.7
volbart=30
i_up=24
i_low=9
stredni_frekvence=[100 125 160 200 250 315 400 500 630 800 1000 1250 1600 2000 2500 3150 4000 5000],
for i=(i_up+1-i_low):-1:i_up+1-i_low-5
    obalka1=SOUBORY(i,:)
    maximum=find(obalka1==0)
    pocatek_obalky=max(maximum)
    obalka(1,1:length(obalka1)-pocatek_obalky+1)=obalka1(1,pocatek_obalky:length(obalka1))
    [ linearCoefficients, rt, xFit, yFit] = regressline( obalka , volbart , fs )
    cas(i,:)=rt
    %vykresleni prubehu v jednotlivych pasmech do grafu
    subplot(3,2,i-12);
    plot(x, obalka(1:length(t)), 'r');
    grid on
    ylim([-70 0]);
	xlim([0 T]);
	xlimits = xlim; ylimits = ylim;
    xlabel('t(s)', 'FontSize', fontSize);
    ylabel('L(dB)', 'FontSize', fontSize);
    hold on;
    plot(xFit, yFit, 'b', 'LineWidth', tloustka);
    text(.5 * xlimits(2),-20,['RT_3_0 (s) = ',num2str(rt,'%1.3f')],'FontSize',fontSize,'color','k');
    title(sprintf('Pasmo: f_c = %d Hz',stredni_frekvence(i)))
end
r = 150; % pixels per inch
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', [0 0 1250 1470]/r);
print(gcf,'-depsc');

figure(3)
set(gcf, 'Units', 'Normalized', 'OuterPosition', [0 0 1 1]);
  for i=(i_up+1-i_low-6):-1:i_up+1-i_low-11
    obalka1=MATICE(i,:)
    maximum=find(obalka1==0)
    pocatek_obalky=max(maximum)
    obalka(1,1:length(obalka)-pocatek_obalky+1)=obalka1(1,pocatek_obalky:length(obalka))
    [ linearCoefficients, rt, xFit, yFit] = regressline( obalka , volbart , fs )
    cas(i,:)=rt
    subplot(3,2,i-6);
    plot(x, obalka(1:length(t)), 'r','LineWidth',tloustka);
    grid on;
    ylim([-70 0]);
	xlim([0 T]);
	xlimits = xlim; ylimits = ylim;
    xlabel('t(s)', 'FontSize', fontSize);
    ylabel('L(dB)', 'FontSize', fontSize);
    hold on;
    plot(xFit, yFit, 'b', 'LineWidth', tloustka);
    text(.5 * xlimits(2),-20,['RT_3_0 (s) = ',num2str(rt,'%1.3f')],'FontSize',fontSize,'color','k');
    title(sprintf('Pasmo: f_c = %d Hz',stredni_frekvence(i)))
  end
  r = 150; % pixels per inch
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', [0 0 1250 1470]/r);
print(gcf,'-depsc');
  
  figure(4)
  set(gcf, 'Units', 'Normalized', 'OuterPosition', [0 0 1 1]);
    for i=(i_up+1-i_low-12):-1:i_up+1-i_low-17
    obalka1=MATICE(i,:)
    maximum=find(obalka1==0)
    pocatek_obalky=max(maximum)
    obalka(1,1:length(obalka)-pocatek_obalky+1)=obalka1(1,pocatek_obalky:length(obalka))
    [ linearCoefficients, rt, xFit, yFit] = regressline( obalka , volbart , fs )
    cas(i,:)=rt
    subplot(3,2,i);
    plot(x, obalka(1:length(t)), 'r','LineWidth',tloustka);
    grid on;
    ylim([-70 0]);
	xlim([0 T]);
	xlimits = xlim; ylimits = ylim;
    xlabel('t(s)', 'FontSize', fontSize);
    ylabel('L(dB)', 'FontSize', fontSize);
    hold on;
    plot(xFit, yFit, 'b', 'LineWidth',tloustka);
    text(.5 * xlimits(2),-20,['RT_3_0 (s) = ',num2str(rt,'%1.3f')],'FontSize',fontSize,'color','k');
    title(sprintf('Pasmo: f_c = %d Hz',stredni_frekvence(i)))
    end
    r = 150; % pixels per inch
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', [0 0 1250 1470]/r);
print(gcf,'-depsc');